import { DataManager } from "../../tw/manager/DataManager";
import { TwLang } from "../../tw/util/TwLang";
import { GFun } from "../../tc/util/GFun";

const getJoinCountTxt = () => {
    let str: string;
    switch (DataManager.ins.ajaxElementData.element.status) {
        case 0:
            break;
        case 1:
            str = TwLang.lang_002;
            break;
        case 3:
            str = TwLang.lang_004 + TwLang.lang_003;
            break;
        case 4:
            str = TwLang.lang_003;
            break;
        case 5:
            str = TwLang.lang_004 + GFun.replace(TwLang.lang_005, [DataManager.ins.ajaxElementData.element.freeLimit]);
            break;
        case 6:
            str = GFun.replace(TwLang.lang_006, [DataManager.ins.ajaxElementData.element.needCredits, DataManager.ins.customCfgData.unitName]);
            break;
        case 7:
            str = GFun.replace(TwLang.lang_005, [DataManager.ins.ajaxElementData.element.freeLimit]);
            break;
        case 18:
            str = TwLang.lang_007;
            break;
    }
    return str;
}

export default getJoinCountTxt;